summaryrefslogtreecommitdiffstats
path: root/source/l/qtscriptgenerator
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/l/qtscriptgenerator
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/l/qtscriptgenerator')
-rwxr-xr-xsource/l/qtscriptgenerator/qtscriptgenerator.SlackBuild24
-rw-r--r--source/l/qtscriptgenerator/qtscriptgenerator.gcc44.diff10
-rw-r--r--source/l/qtscriptgenerator/slack-desc12
3 files changed, 17 insertions, 29 deletions
diff --git a/source/l/qtscriptgenerator/qtscriptgenerator.SlackBuild b/source/l/qtscriptgenerator/qtscriptgenerator.SlackBuild
index 9664ddb22..f1bf2a15b 100755
--- a/source/l/qtscriptgenerator/qtscriptgenerator.SlackBuild
+++ b/source/l/qtscriptgenerator/qtscriptgenerator.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for qtscriptgenerator
# Copyright 2009 Heinz Wiesinger <pprkut@liwjatan.at>
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=qtscriptgenerator
-VERSION=${VERSION:-0.1.0}
-BUILD=${BUILD:-2}
+PKGNAM=qtscriptgenerator
+VERSION=${VERSION:-0.2.0}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -39,7 +39,7 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -72,11 +72,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PRGNAM-src-$VERSION
-tar xvf $CWD/$PRGNAM-src-$VERSION.tar.?z* || exit 1
-cd $PRGNAM-src-$VERSION || exit 1
-
-zcat $CWD/qtscriptgenerator.gcc44.diff.gz | patch -p1 --verbose || exit 1
+rm -rf $PKGNAM-src-$VERSION
+tar xvf $CWD/$PKGNAM-src-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-src-$VERSION || exit 1
chown -R root:root .
find . \
@@ -117,15 +115,15 @@ cp -a plugins/script/libqtscript* $PKG/usr/lib${LIBDIRSUFFIX}/qt/plugins/script/
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a tools/qsexec/README.TXT README.qsexec
cp -a \
LICENSE.GPL README* \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/qtscriptgenerator/qtscriptgenerator.gcc44.diff b/source/l/qtscriptgenerator/qtscriptgenerator.gcc44.diff
deleted file mode 100644
index 165c97df0..000000000
--- a/source/l/qtscriptgenerator/qtscriptgenerator.gcc44.diff
+++ /dev/null
@@ -1,10 +0,0 @@
---- ./generator/parser/rpp/pp-internal.h.orig 2009-02-20 05:42:24.000000000 -0600
-+++ ./generator/parser/rpp/pp-internal.h 2010-02-18 19:12:22.000000000 -0600
-@@ -16,6 +16,7 @@
- #define PP_INTERNAL_H
-
- #include <algorithm>
-+#include <cstdio>
-
- namespace rpp {
-
diff --git a/source/l/qtscriptgenerator/slack-desc b/source/l/qtscriptgenerator/slack-desc
index f24e9f679..16f2ba052 100644
--- a/source/l/qtscriptgenerator/slack-desc
+++ b/source/l/qtscriptgenerator/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
qtscriptgenerator: qtscriptgenerator (Qt API Bindings for QtScript)
qtscriptgenerator:
-qtscriptgenerator: Qt Script Generator is a tool that generates Qt bindings
-qtscriptgenerator: for Qt Script. With the generated bindings you get access
-qtscriptgenerator: to substantial portions of the Qt API from within Qt
-qtscriptgenerator: Script.
+qtscriptgenerator: Qt Script Generator is a tool that generates Qt bindings for Qt
+qtscriptgenerator: Script. With the generated bindings you get access to substantial
+qtscriptgenerator: portions of the Qt API from within Qt Script.
+qtscriptgenerator:
+qtscriptgenerator: Homepage: http://code.google.com/p/qtscriptgenerator/
qtscriptgenerator:
qtscriptgenerator:
qtscriptgenerator:
-qtscriptgenerator: Homepage: http://code.google.com/p/qtscriptgenerator/
qtscriptgenerator: